/*
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: gont.gi,v 1.1 2002/08/14 11:59:22 malekith Exp $
 *
 * Gont - Main compiler module, exports interface to be used by driver
 * program.
 */

struct compilation_ctx {
	string modulename;
	string input_filename;
	string output_filename;
	string output_xgo_filename;
}

void compile_interface(compilation_ctx ctx);
void compile_implementation(compilation_ctx ctx);
void dump_xml_types(compilation_ctx ctx);
