/* 
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: stack.gi,v 1.1 2002/08/12 12:42:21 malekith Exp $
 *
 * Standard library for Gont, Stack module interface.
 *
 * Mutable stack.
 */

type <'a>t;

// raise Invalid_argument if empty
'a pop(<'a>t);
'a top(<'a>t);
void push(<'a>t, 'a);
<'a>t create();
bool empty(<'a>t);
