/*
 * Copyright (c) 2002 Michal Moskal <malekith@pld-linux.org>.
 * All rights reserved. See file COPYRIGHT for details about licensing.
 *
 * $Id: parser.h,v 1.1 2002/08/14 11:59:22 malekith Exp $
 *
 * Parser - Bison parser for Gont.
 */

#define YYSTYPE void*

typedef struct yyltype
{
  int first_line;
  int first_column;

  int last_line;
  int last_column;
} yyltype;

#define YYLTYPE yyltype
#define YYLTYPE_IS_TRIVIAL 1

#include "parser.tab.h"

int yylex(YYSTYPE *lvalp, YYLTYPE *llocp, void *llex);
struct lexer_state *make_lexer(const char *filename);
